# Closure Union Reference

`#include <lua/lobject.h>`

Collaboration diagram for Closure:

[legend]

## Data Fields

CClosure | c
LClosure | l

## Detailed Description

Definition at line 309 of file lobject.h.

## Field Documentation

CClosure Closure::c

Definition at line 310 of file lobject.h.

Referenced by aux_upvalue(), auxgetinfo(), collectvalidlines(), f_Ccall(), funcinfo(), getcurrenv(), index2adr(), lua_pushcclosure(), lua_replace(), luaF_freeclosure(), luaF_newCclosure(), propagatemark(), and traverseclosure().

LClosure Closure::l

Definition at line 311 of file lobject.h.

Referenced by aux_upvalue(), collectvalidlines(), f_parser(), funcinfo(), luaF_freeclosure(), luaF_newLclosure(), luaV_execute(), propagatemark(), and traverseclosure().

The documentation for this union was generated from the following file:

- lua/lobject.h